import type { Unbox, ResolverResult } from '@convey/core';
type MetaBase<Result> = {
    refresh: () => Result;
};
type HookResult<Result> = [Unbox<Result>, MetaBase<Result> & {
    status: 'DONE';
}] | [
    undefined,
    MetaBase<Result> & ({
        status: 'PENDING' | 'UNSET';
    } | {
        status: 'ERROR';
        error: Error;
    })
];
export declare function useResolver<Result, Params extends any[] = any[]>(resolver: null | ResolverResult<Result, Params>): HookResult<Result>;
export {};
//# sourceMappingURL=useResolver.d.ts.map